Bug 1026865 - Pulseaudio coredumps on exit
Pulseaudio coredumps on exit
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 09:48 EST by Zdenek Kabelac
Modified: 2016-07-19 06:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:33:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2013-11-05 09:48:20 EST
Description of problem:

While tracing for a reason why my headphones are muted - I've got this
coredump:

#0  0x00007f37899a49c5 in pa_module_unload (c=0x118b590, m=0x1202e10, force=force@entry=true) at pulsecore/module.c:247
247	    if (m->core->disallow_module_loading && !force)

#0  0x00007f37899a49c5 in pa_module_unload (c=0x118b590, m=0x1202e10, force=force@entry=true) at pulsecore/module.c:247
#1  0x00007f3776935d5c in module_bluetooth_discover_LTX_pa__done (m=0x1246b90)
    at modules/bluetooth/module-bluetooth-discover.c:72
#2  0x00007f37899a3f89 in pa_module_free (m=0x1246b90) at pulsecore/module.c:227
#3  0x00007f37899a4e1a in pa_module_unload_all (c=c@entry=0x118b590) at pulsecore/module.c:292
#4  0x00000000004063f7 in main (argc=<optimized out>, argv=<optimized out>) at daemon/main.c:1175

(gdb) print m->core
$2 = (pa_core *) 0x0


These are 'famous' last words of pulseaudio:
D: [alsa-sink-AD1984 Analog] sink.c: Next volume change in 9380 usec
D: [alsa-sink-AD1984 Analog] source.c: Processing rewind...
D: [alsa-sink-AD1984 Analog] sink.c: Next volume change in 9295 usec
D: [alsa-sink-AD1984 Analog] sink.c: Next volume change in 9264 usec
D: [alsa-sink-AD1984 Analog] sink.c: Next volume change in 9236 usec
D: [pulseaudio.x] core.c: Hmm, no streams around, trying to vacuum.
I: [pulseaudio.x] sink-input.c: Freeing input 0 "audio stream"
I: [pulseaudio.x] module.c: Unloaded "module-native-protocol-unix" (index: #11).
I: [pulseaudio.x] module.c: Unloading "module-esound-protocol-unix" (index: #10).
I: [pulseaudio.x] module.c: Unloaded "module-esound-protocol-unix" (index: #10).
I: [pulseaudio.x] module.c: Unloading "module-bluez5-discover" (index: #9).
I: [pulseaudio.x] module.c: Unloaded "module-bluez5-discover" (index: #9).
I: [pulseaudio.x] module.c: Unloading "module-bluetooth-discover" (index: #8).
Neoprávněný přístup do paměti (SIGSEGV) (core dumped [obraz paměti uložen])


Version-Release number of selected component (if applicable):
pulseaudio-4.0-8.gitf81e3.fc21.x86_64


How reproducible:


Steps to Reproduce:
1. play with pulseaudio
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jaroslav Reznik 2015-03-03 10:11:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 06:33:46 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.